For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tracking

Perform various operations on tracking records.

Symitar eDocs References: Coming soon.

Operations

getTrackingSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
TrackingLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getTrackingSelectFields
POST /nexum/627/persistent/account/getTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 360

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "TrackingLocator": 96,
  "SelectableFields": {
    "IncludeAllTrackingFields": false,
    "TrackingFields": {
      "Locator": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserDate1": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Tracking": {
    "Locator": 96,
    "Type": 77,
    "UserChar1": "Mock user character 1.",
    "UserChar2": null,
    "UserDate1": "2023-08-31",
    "RecordChangeDate": "2010-04-25"
  },
  "MessageId": "getTrackingSelectFields"
}

getTrackingPagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getTrackingPagedListSelectFields
POST /nexum/627/persistent/account/getTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 418

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllTrackingFields": false,
    "TrackingFields": {
      "Locator": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserDate1": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Tracking": [
    {
      "Locator": 21,
      "Type": 30,
      "UserChar1": "5684953678235942",
      "UserChar2": null,
      "UserDate1": "2010-05-15",
      "RecordChangeDate": "2010-04-24"
    },
    {
      "Locator": 96,
      "Type": 77,
      "UserChar1": "Mock user character 1.",
      "UserChar2": null,
      "UserDate1": "2023-08-31",
      "RecordChangeDate": "2010-04-25"
    },
    {
      "Locator": 99,
      "Type": 31,
      "UserChar1": null,
      "UserChar2": null,
      "UserDate1": null,
      "RecordChangeDate": "2010-04-25"
    }
  ],
  "Token": null,
  "MessageId": "getTrackingPagedListSelectFields"
}

searchTrackingPagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchTrackingPagedSelectFields
POST /nexum/627/persistent/account/searchTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 439

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "Query": "LOCATOR=96",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllTrackingFields": false,
    "TrackingFields": {
      "Locator": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserDate1": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Tracking": [
    {
      "Locator": 96,
      "Type": 77,
      "UserChar1": "Mock user character 1.",
      "UserChar2": null,
      "UserDate1": "2023-08-31",
      "RecordChangeDate": "2010-04-25"
    }
  ],
  "Token": null,
  "MessageId": "searchTrackingPagedSelectFields"
}

updateTrackingByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
TrackingLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateTrackingByID
POST /nexum/627/persistent/account/updateTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 271

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "TrackingLocator": 269,
  "TrackingFields": {
    "Type": 0,
    "TrackingCode": 0,
    "UserChar1": "NEXUM W4 TRACKING UPDATED"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updateTrackingByID"
}

createTracking

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TrackingLocatorintegerOptional
post/createTracking
POST /nexum/627/persistent/account/createTracking HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 241

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "TrackingFields": {
    "Type": 0,
    "TrackingCode": 0,
    "UserChar1": "NEXUM W4 TRACKING"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "TrackingLocator": 269,
  "MessageId": "createTracking"
}

deleteTracking

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
TrackingLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteTracking
POST /nexum/627/persistent/account/deleteTracking HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 186

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "TrackingLocator": 269,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteTracking"
}

Last updated

Was this helpful?